summaryrefslogtreecommitdiffstats
path: root/etc
diff options
context:
space:
mode:
authordarrenr <darrenr@FreeBSD.org>2004-04-20 13:44:57 +0000
committerdarrenr <darrenr@FreeBSD.org>2004-04-20 13:44:57 +0000
commit77ecc19ba0814dd8d1278476c36f312ac72cbc34 (patch)
treebbdc15d5cd511521f4c47fb4367c3e0a643a990b /etc
parent8486d0e8588ea324828f26cb3d3632486d181733 (diff)
downloadFreeBSD-src-77ecc19ba0814dd8d1278476c36f312ac72cbc34.zip
FreeBSD-src-77ecc19ba0814dd8d1278476c36f312ac72cbc34.tar.gz
Add script for checking ipv6 blocked packets from PR.
PR: misc/50154 Submitted by: Kimura Fuyuki <fuyuki@hadaly.org>
Diffstat (limited to 'etc')
-rw-r--r--etc/defaults/periodic.conf3
-rw-r--r--etc/periodic/security/610.ipf6denied53
2 files changed, 56 insertions, 0 deletions
diff --git a/etc/defaults/periodic.conf b/etc/defaults/periodic.conf
index 1cb6d9d..541fe17 100644
--- a/etc/defaults/periodic.conf
+++ b/etc/defaults/periodic.conf
@@ -155,6 +155,9 @@ daily_status_security_ipfwlimit_enable="YES"
# 600.ip6fwdenied
daily_status_security_ip6fwdenied_enable="YES"
+# 610.ipf6denied
+daily_status_security_ipf6denied_enable="YES"
+
# 650.ip6fwlimit
daily_status_security_ip6fwlimit_enable="YES"
diff --git a/etc/periodic/security/610.ipf6denied b/etc/periodic/security/610.ipf6denied
new file mode 100644
index 0000000..6c64d92
--- /dev/null
+++ b/etc/periodic/security/610.ipf6denied
@@ -0,0 +1,53 @@
+#!/bin/sh -
+#
+# Copyright (c) 2001 The FreeBSD Project
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# If there is a global system configuration file, suck it in.
+#
+if [ -r /etc/defaults/periodic.conf ]
+then
+ . /etc/defaults/periodic.conf
+ source_periodic_confs
+fi
+
+. /etc/periodic/security/security.functions
+
+rc=0
+
+case "$daily_status_security_ipf6denied_enable" in
+ [Yy][Ee][Ss])
+ TMP=`mktemp ${TMPDIR:-/tmp}/security.XXXXXXXXXX`
+ if ipfstat -nhio6 2>/dev/null | grep block > ${TMP}; then
+ check_diff new_only ipf6 ${TMP} "${host} ipf6 denied packets:"
+ fi
+ rc=$?
+ rm -f ${TMP};;
+ *) rc=0;;
+esac
+
+exit $rc
OpenPOWER on IntegriCloud